## com.google.gwt.user.client.ui
Class SuggestOracle.Response

    java.lang.Object
      com.google.gwt.user.client.ui.SuggestOracle.Response

All Implemented Interfaces:
  IsSerializable

Enclosing class:
  SuggestOracle

    public static class SuggestOracle.Response

extends java.lang.Object
implements IsSerializable

`SuggestOracle` response.

Constructor Summary
`SuggestOracle.Response()` Constructor for `SuggestOracle.Response`.
`SuggestOracle.Response(java.util.Collection<? extends SuggestOracle.Suggestion> suggestions)` Constructor for `SuggestOracle.Response`.

Method Summary
`java.util.Collection<? extends SuggestOracle.Suggestion>` | `getSuggestions()` Gets the collection of suggestions.
`void` | `setSuggestions(java.util.Collection<? extends SuggestOracle.Suggestion> suggestions)` Sets the suggestions for this response.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SuggestOracle.Response

    public SuggestOracle.Response()

  Constructor for `SuggestOracle.Response`.

### SuggestOracle.Response

    public SuggestOracle.Response(java.util.Collection<? extends SuggestOracle.Suggestion> suggestions)

  Constructor for `SuggestOracle.Response`.

  Parameters:
    `suggestions` - each element of suggestions must implement the `SuggestOracle.Suggestion` interface

Method Detail

### getSuggestions

    public java.util.Collection<? extends SuggestOracle.Suggestion> getSuggestions()

  Gets the collection of suggestions. Each suggestion must implement the `SuggestOracle.Suggestion` interface.

  Returns:
    the collection of suggestions

### setSuggestions

    public void setSuggestions(java.util.Collection<? extends SuggestOracle.Suggestion> suggestions)

  Sets the suggestions for this response. Each suggestion must implement the `SuggestOracle.Suggestion` interface.

  Parameters:
    `suggestions` - the suggestions